Update a model instance with data provided in the request body. JSON format is expected. Model performs validation automatically when fields are modified. Unless the model says otherwise, you must be an administrator.
PUT
/data/softwares/{instance_id}
curl
curl -X PUT "http://api.example.com/data/softwares/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Model Name"
}'
import requests
url = "http://api.example.com/data/softwares/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Updated Model Name"
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "Updated Model Name"
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Updated Model Name",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}